import request from '@/utils/request'

// 查询订单管理-需求单管理列表
export function listOrder (query) {
  return request({
    url: '/compute/order/page',
    method: 'get',
    params: query
  })
}


export function orderInvoiceRequest (data){
    return request({
        url: '/compute/order/invoice-request',
        method: 'post',
        data: data
    })
}


// 查询订单管理-需求单管理详细
export function getOrder (id) {
  return request({
    url: '/computility/order/' + id,
    method: 'get'
  })
}

// 新增订单管理-需求单管理
export function addOrder (data) {
  return request({
    url: '/computility/order',
    method: 'post',
    data: data
  })
}

// 修改订单管理-需求单管理
export function updateOrder (data) {
  return request({
    url: '/computility/order',
    method: 'put',
    data: data
  })
}

// 删除订单管理-需求单管理
export function delOrder (id) {
  return request({
    url: '/computility/order/' + id,
    method: 'delete'
  })
}

// 取消订单-订单管理
export function cancelOrder (data) {
  return request({
    url: '/api/v1/orderCancel',
    method: 'post',
    data: data
  })
}


// 查看驳回理由-订单管理
export function orderReason (id) {
  return request({
    url: `/api/v1/orderReason/${id}`,
    method: 'get'
  })
}


/**
 * 获取 算力资源 类型列表
 * @returns {Promise}
 */
export function getCategories() {
  return request({
    url: '/product/category/list-by-parentid?id=92', // 后端提供的接口地址
    method: 'get'
  })
}
